## master

=== Makefile ===
PREFIX?=/usr
CC=gcc
CFLAGS=-Wall -std=c99 -fPIC -O2 -nostartfiles -shared
LIBS=-ltag_c 

MACHINE:=$(shell uname -m)

ifeq ($(MACHINE), x86_64)
	LIBDIR?=$(PREFIX)/lib64
else
	LIBDIR?=$(PREFIX)/lib
endif

VERSION=0.2.1

all:
	$(CC) $(CFLAGS) $(INC) ./taglib.c -o ./taglib.so $(LDFLAGS) $(LIBS)

clean:
	rm -f ./taglib.so

install:
	test -d "$(DESTDIR)$(LIBDIR)/efind/extensions" || mkdir -p "$(DESTDIR)$(LIBDIR)/efind/extensions"
	cp ./taglib.so "$(DESTDIR)$(LIBDIR)/efind/extensions"
	chmod 755 "$(DESTDIR)$(LIBDIR)/efind/extensions/taglib.so"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/efind/extensions/taglib.so"

tarball:
	cd .. && \
	rm -rf ./efind-taglib-$(VERSION) && \
	cp -r ./efind-taglib ./efind-taglib-$(VERSION) && \
	find ./efind-taglib-$(VERSION) -name ".git*" | xargs rm -r && \
	tar cfJ ./efind-taglib-$(VERSION).tar.xz ./efind-taglib-$(VERSION) --remove-files

=== debian/changelog ===
efind-taglib (0.2-1) unstable; urgency=low

  * Python 3 migration

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Sat, 13 Jul 2019 11:08:42 +0100

efind-taglib (0.2-0) unstable; urgency=low

  * new file locations

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Sat, 23 Dec 2017 15:50:40 +0100

efind-taglib (0.1-2) unstable; urgency=low

  * check length of filename to avoid buffer overflows

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Sun, 02 Jul 2017 09:53:59 +0100

efind-taglib (0.1-1) unstable; urgency=low

  * Initial release

 -- Sebastian Fedrau <sebastian.fedrau@gmail.com>  Fri, 06 Jan 2017 17:14:55 +0100

=== PKGBUILD ===
# Maintainer: Sebastian Fedrau <sebastian.fedrau@gmail.com>
pkgname=efind-taglib
pkgver=0.2.1
pkgrel=1
epoch=
pkgdesc="Filter search results by audio tags and properties."
arch=('i686' 'x86_64')
url="https://github.com/20centaurifux/efind-taglib"
license=('GPL3')
groups=()
depends=('efind>=0.1.0' 'taglib>=1.10.1-1')
makedepends=()
checkdepends=()
optdepends=()
provides=()
conflicts=()
replaces=()
backup=()
options=()
install=
changelog=
source=("$pkgname-$pkgver.tar.xz")
noextract=()
md5sums=('')
validpgpkeys=()

build() {
	cd "$pkgname-$pkgver"
	make
}

package() {
	cd "$pkgname-$pkgver"
	make DESTDIR="$pkgdir/" LIBDIR=/usr/lib install
}

=== debian/control ===
Source: efind-taglib
Section: utils
Priority: optional
Maintainer: Sebastian Fedrau <sebastian.fedrau@gmail.com>
Build-Depends: debhelper (>=9), libtagc0-dev
Standards-Version: 3.9.6
Homepage: https://github.com/20centaurifux/efind-taglib
Vcs-Git: https://github.com/20centaurifux/efind-taglib.git

Package: efind-taglib
Architecture: any
Depends: efind (>= 0.1-1), libtagc0 (>= 1.7.0), ${shlibs:Depends}
Description: Filter search results by audio tags and properties.
 efind extension for filtering search results by audio tags
 and properties using taglib.
